Contient la plupart des dclarations...

typedef struct
{
 unsigned char c1[8];
 unsigned char c2[8];
} _gsprite8;

typedef struct
{
 unsigned int c1[16];
 unsigned int c2[16];
} _gsprite16;

typedef struct
{				  
 unsigned char c1  [8];
 unsigned char c2  [8];
 unsigned char mask[8];
} _gsprite8m;

typedef struct
{
 unsigned int c1  [16];
 unsigned int c2  [16];
 unsigned int mask[16];
} _gsprite16m;

#define VIEWSEG1 SEG1
#define VIEWSEG2 SEG2

void drawgsprite8(int x, int y, _gsprite8 *sprite);

typedef struct
{
 int x, y;     // Position du sprite
 _gsprite8 *s; // Sprite
} spr8def;

#define MODE_NONE 0
#define MODE_GHOST 1 
#define MODE_FASTER 2

typedef	struct
{
 spr8def pos;         // Position
 spr8def ancpos;      // Ancienne Position
 spr8def ancpos2;     // Seconde Ancienne Position
 int dx, dy;		  // Vecteur
 unsigned long score; // Score
 char mode;          // Mode spcial activ
} balldef;

void init_game(void);

void refresh(void);

void temps(unsigned long j);

void drawmap(void);

void initmap(void);

char testball2ball(balldef *ball1, balldef *ball2);

typedef struct
{
 spr8def pos;         // Position
 unsigned char type;  // Type de bonus
 int activ;          // Activit
 balldef *ball;		  // Sur quelle balle il est
} bonusdef;

typedef struct
{
 // Le temps
 int time;
} bonustypedef;

void eclaircir();
void assombrir();
