#include "g_hardop.c"

#define SEG1 0x1A20
#define SEG2 0x1A60
#define SEG3 0x1AA0
#define SEG4 0x1AE0
#define SEG5 0x1B20
#define SEG6 0x1B60
#define SEG7 0x1BA0

// Passe au mode voulu : C3, DB... etc
void mode(unsigned char modetype);

// Par Libithium, met le buffer voulu comme adresse d'origine
void movevideo(unsigned int segm);

// Par Whyp, eteint la calculatrice
void shutcalc();

// Initialise le contraste
// Mais attention aux problemes de compatibilite
// entre g100 et g100+.
void contrast(unsigned char niv);

// permet d'augmenter ou diminuer le contraste d'un certain niveau.
void contrast_chg(unsigned char sens,unsigned char niv);

// permet de rcuperer le contrast
unsigned char get_contrast();
