#include "g_key.c"

// Teste une touche.Cette fonction sert aux touches multiples
// Fonction en partie inspiree de celle de Superna.
// La valeur de x va de 1 (colonne de F1) a 7 (AC/on) avec
// par exemle 4 pour la colonne de F4.
// La valeur de y va de 0 (AC/on) a 10 (F1-F6) avec 9 pour les
// touches multidirectionnelles et par exmeple 5 pour la ligne
// de a+b/c.
unsigned char testkey(unsigned char x,unsigned char y);

// teste une meme touche ou un meme groupe de touche
// sur la meme ligne ou des lignes differentes.
// Fonction plus rapide que testkey() mais
// attention aux valeurs appliquees a y et group...
// Pour savoir quelles valeurs mettre, utiliser Touche v 3.8
// de 2072 : pour y -> lire la valeur de "rows" et pour
// group -> lire la valeur de "P-13h".

unsigned char testgroup(unsigned char group,unsigned int y);

// Attends qu'aucunes des touches du clavier ne soient pressees.
void emptykey();

// Desactive l'interruption 9. Par Superna


int OldInt9Seg,OldInt9Off; // adresses de l'interruption 9

void disable9();

// Active l'interruption 9. Par Superna
void enable9();
  
// Vide absolument le buffer touche
void emptybuf(); 
